Package org.mariadb.jdbc.message.client

## Class QueryPacket

- java.lang.Object
- - org.mariadb.jdbc.message.client.QueryPacket

All Implemented Interfaces:
  `ClientMessage`, `RedoableClientMessage`

    public final class QueryPacket
    extends Object
    implements RedoableClientMessage

### Constructor Summary

Constructors
`QueryPacket​(String sql)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `batchUpdateLength()`
`String` `description()`
`int` `encode​(PacketWriter writer, Context context)`
`boolean` `isCommit()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.message.client.ClientMessage

`binaryProtocol, canSkipMeta, readPacket`

### Methods inherited from interface org.mariadb.jdbc.message.client.RedoableClientMessage

`encode, ensureReplayable, reEncode, saveParameters`

### Constructor Detail

#### QueryPacket

    public QueryPacket​(String sql)

### Method Detail

#### batchUpdateLength

    public int batchUpdateLength()

Specified by:
  `batchUpdateLength` in interface `ClientMessage`

#### encode

    public int encode​(PacketWriter writer,
                      Context context)
               throws IOException

Specified by:
  `encode` in interface `ClientMessage`
Throws:
  `IOException`

#### isCommit

    public boolean isCommit()

#### description

    public String description()

Specified by:
  `description` in interface `ClientMessage`